
##------------------------------------------------------------------------------
_ark_impl_get_user_home()
{
    local TARGET_USER="$1";
    REAL_USER_HOME=$(getent passwd "$TARGET_USER" | cut -d: -f6);
    echo "$REAL_USER_HOME";
}

##------------------------------------------------------------------------------
_ark_impl_os_get_simple_name()
{
    echo "$(ARK_OS_NAME_WSL)";
}

##------------------------------------------------------------------------------
_ark_imp_get_file_mode()
{
    stat -c "%a" "$1";
}

##------------------------------------------------------------------------------
_ark_imp_get_file_owner()
{
    stat -c "%U" "$1";
}

##------------------------------------------------------------------------------
_ark_imp_get_file_group()
{
    stat -c "%G" "$1";
}
